Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Scheduling

Create Calendar Blocked Time

POST
/v1/calendars/{calendar_id}/blocked-times

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

calendar_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id?string
Formatuuid
name?|null
is_all_day?boolean
start_at*string
Formatdate-time
end_at*string
Formatdate-time
recurrence_rule?|null
series_id?|null
replaces_occurrence_at?|null
event_id?|null

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/calendars/497f6eca-6276-4993-bfeb-53cbbbba6f08/blocked-times" \  -H "Content-Type: application/json" \  -d '{    "start_at": "2019-08-24T14:15:22Z",    "end_at": "2019-08-24T14:15:22Z"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "calendar_id": "c828ce68-4c5a-4491-b76a-af3d888d3f97",  "source": "manual",  "name": "string",  "is_all_day": true,  "start_at": "2019-08-24T14:15:22Z",  "end_at": "2019-08-24T14:15:22Z",  "recurrence_rule": "string",  "series_id": "0f6582ac-1e7e-41dc-a63a-24fccd074d0c",  "replaces_occurrence_at": "2019-08-24T14:15:22Z",  "event_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}